{CTRL} + {ENTER} should post a post in flow
Closed, ResolvedPublic

Description

There a general pattern of websites like Reddit using {CTRL} + {ENTER} as the hotkey to post a post. It would be great if Flow would also support that hotkey, so that the user doesn't have to use the mouse to finish a post he writes on Flow.

See T63517: Flow lacking accesskeys for preview/submit

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptFeb 22 2017, 4:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mattflaschen-WMF renamed this task from {CRTL} + {ENTER} should post a post in flow to {CTRL} + {ENTER} should post a post in flow.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMar 21 2017, 11:44 PM
MtDu claimed this task.Mar 29 2017, 11:18 PM
MtDu added a subscriber: MtDu.

I'll try to fix this. If urgent, feel free to do it.

Trizek-WMF added a subscriber: Trizek-WMF.

I'll try to fix this. If urgent, feel free to do it.

Any updates? I have a request on wiki to have that feature.

MtDu removed MtDu as the assignee of this task.Aug 25 2017, 11:30 AM

Yeah sorry, I don't think I have time to do this right now. School started, and I am applying to university. @Trizek-WMF

Yeah sorry, I don't think I have time to do this right now. School started, and I am applying to university. @Trizek-WMF

No problem. School first! ;)

Skalman added a subscriber: Skalman.Oct 9 2017, 5:30 PM

Change 408548 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/Flow@master] Handle Ctrl+Enter events

https://gerrit.wikimedia.org/r/408548

Change 408548 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Handle Ctrl+Enter events

https://gerrit.wikimedia.org/r/408548

Etonkovidova closed this task as Resolved.Feb 7 2018, 5:45 PM
Etonkovidova claimed this task.

Checked in betalabs - the Hotkey {CTRL} + {ENTER} (and on Mac also {Cmd} + {ENTER} ) works - a post will be posted.